<?php

return [
    /*
     * Set the trusted proxy IP addresses.
     *
     * Supports IPv4 and IPv6 addresses, and CIDR notation.
     */
    'proxies' => [
        '192.168.1.1',
    ],

    /*
     * Trust all proxies.
     *
     * This is useful if you cannot know the IP address of your proxy.
     */
//    'proxies' => '*',

    /*
     * Default Header Names, pulled from Symphony.
     *
     * Change these to match the headers sent by your proxy.
     *
     * @see \Symfony\Component\HttpFoundation\Request::$trustedHeaders
     */
    'headers' => [
        \Illuminate\Http\Request::HEADER_CLIENT_PROTO => 'X_FORWARDED_PROTO',
        \Illuminate\Http\Request::HEADER_CLIENT_HOST  => 'X_FORWARDED_HOST',
        \Illuminate\Http\Request::HEADER_CLIENT_PORT  => 'X_FORWARDED_PORT',
        \Illuminate\Http\Request::HEADER_CLIENT_IP    => 'X_FORWARDED_FOR',
    ],
];
