<?php

namespace CodingAllNight\Proxy;

use Illuminate\Foundation\Application;
use Illuminate\Support\ServiceProvider;

class TrustedProxiesServiceProvider extends ServiceProvider
{
    /**
     * Boot the service provider.
     *
     * @return void
     */
    public function boot() {
        $config = realpath(__DIR__ . '/../config/trustedproxies.php');

        // Publish the config to the application's config directory
        if ($this->app instanceof Application && $this->app->runningInConsole()) {
            $this->publishes([$config => config_path('trustedproxies.php')]);
        }

        // Merge the config
        $this->mergeConfigFrom($config, 'trustedproxies');
    }

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function register() {
        // Nothing to do here...
    }
}
